Skip to contents

# Age in Years of Individuals

Source: `R/age.R`
`age.Rd`

Calculates age in years based on a reference date, which is the system date at default.

## Usage

    age(x, reference = Sys.Date(), exact = FALSE, na.rm = FALSE, ...)

## Arguments

x

  Date(s), character (vectors) will be coerced with `as.POSIXlt()`.

reference

  Reference date(s) (default is today), character (vectors) will be coerced with `as.POSIXlt()`.

exact

  A logical to indicate whether age calculation should be exact, i.e. with decimals. It divides the number of days of year-to-date (YTD) of `x` by the number of days in the year of `reference` (either 365 or 366).

na.rm

  A logical to indicate whether missing values should be removed.

...

  Arguments passed on to `as.POSIXlt()`, such as `origin`.

## Value

An integer (no decimals) if `exact = FALSE`, a double (with decimals) otherwise

## Details

Ages below 0 will be returned as `NA` with a warning. Ages above 120 will only give a warning.

This function vectorises over both `x` and `reference`, meaning that either can have a length of 1 while the other argument has a larger length.

## See also

To split ages into groups, use the `age_groups()` function.

## Examples

    # 10 random pre-Y2K birth dates
    df <- data.frame(birth_date = as.Date("2000-01-01") - runif(10) * 25000)

    # add ages
    df$age <- age(df$birth_date)

    # add exact ages
    df$age_exact <- age(df$birth_date, exact = TRUE)

    # add age at millenium switch
    df$age_at_y2k <- age(df$birth_date, "2000-01-01")

    df
    #>    birth_date age age_exact age_at_y2k
    #> 1  1999-06-30  27  27.13973          0
    #> 2  1968-01-29  58  58.55616         31
    #> 3  1965-12-05  60  60.70685         34
    #> 4  1980-03-01  46  46.47123         19
    #> 5  1949-11-01  76  76.80000         50
    #> 6  1947-02-14  79  79.51233         52
    #> 7  1940-02-19  86  86.49863         59
    #> 8  1988-01-10  38  38.60822         11
    #> 9  1997-08-27  28  28.98082          2
    #> 10 1978-01-26  48  48.56438         21